Bug 206253 - Plugin Manager in 7.1 refuses installation of plugins using org.netbeans.libs.commons_logging
Plugin Manager in 7.1 refuses installation of plugins using org.netbeans.libs...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
7.1
All All
: P1 with 3 votes (vote)
: 7.2
Assigned To: Jiri Rechtacek
au-issues
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 09:11 UTC by wtmann
Modified: 2012-04-14 09:42 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed change in core.startup (7.61 KB, patch)
2012-04-10 13:33 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wtmann 2011-12-12 09:11:14 UTC
When trying to install the Portalpack 3.0.5 beta (and the 3.0.4 stable) into Netbeans 7.1 you get the following error:

Some plugins require plugin org.netbeans.libs.commons_logging to be installed.
The plugin org.netbeans.libs.commons_logging is requested in version 1.3.1.

The following plugin is affected:       Generic Portlets 

It seems that Netbeans 7.1 no longer provides the org.netbeans.libs.commons_logging but now uses org.apache.commons.logging instead.
Comment 1 neopium 2012-01-10 15:33:31 UTC
Same problem with installing Checkstyle from http://kenai.com/projects/sqe/pages/Home
Comment 2 Jesse Glick 2012-01-10 16:47:15 UTC
(In reply to comment #1)
> Same problem with installing Checkstyle from
> http://kenai.com/projects/sqe/pages/Home

Wrong component. See: http://kenai.com/jira/browse/SQE-64

The root problem is that the portalpack module was built against an older release and needs to be updated to request org.apache.commons.logging. However this should only be a warning, because ide.kit/module-auto-deps.xml defines a transformation for this; it seems Plugin Manager is failing to honor module auto dependencies?
Comment 3 Jesse Glick 2012-01-25 15:00:49 UTC
SQE now fixed by building against 7.1, but problem likely remains for other plugins. Any updates?
Comment 4 Antonin Nebuzelsky 2012-02-20 11:56:21 UTC
What is the plan for this issue?
Comment 5 Jiri Rechtacek 2012-02-20 17:39:36 UTC
It's planned to be fixed in NB7.2 Beta.
Comment 6 Jesse Glick 2012-02-27 23:57:35 UTC
Reverting amji14's metadata changes.
Comment 7 Jiri Rechtacek 2012-04-10 13:33:55 UTC
Created attachment 118059 [details]
proposed change in core.startup
Comment 8 Jiri Rechtacek 2012-04-10 13:35:44 UTC
Please, please review a api change in core.startup. It allows to use automatic dependencies in Autoupdate Services. Thanks
Comment 9 Jiri Rechtacek 2012-04-12 11:01:13 UTC
If there are no objection I'm going to integrate the patch tomorrow. Thanks
Comment 10 Jesse Glick 2012-04-12 23:52:01 UTC
It seems OK to me, although the API change is not strictly necessary - getDefault is not doing anything particularly tricky.
Comment 11 Jiri Rechtacek 2012-04-13 10:11:56 UTC
core-main/rev/2395117978cb
Comment 12 Quality Engineering 2012-04-14 09:42:00 UTC
Integrated into 'main-golden', will be available in build *201204140400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2395117978cb
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #206253: Plugin Manager in 7.1 refuses installation of plugins using org.netbeans.libs.commons_logging


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo